summaryrefslogtreecommitdiffstats
path: root/package/l2tpd/files/l2tpd.init
diff options
context:
space:
mode:
authornico <nico@3c298f89-4303-0410-b956-a3cf2f4a3e73>2005-12-16 12:00:19 +0000
committernico <nico@3c298f89-4303-0410-b956-a3cf2f4a3e73>2005-12-16 12:00:19 +0000
commit6f35f0363b0500981f09ea008859259815005f5c (patch)
treeba5321a96352b8e70b75d3760f7a05307feeeeef /package/l2tpd/files/l2tpd.init
parent447f925ff9e0bca059a62ca97a142da70a38f880 (diff)
port l2tpd fixes from changeset:2696 to trunk.
git-svn-id: svn://svn.openwrt.org/openwrt/trunk/openwrt@2697 3c298f89-4303-0410-b956-a3cf2f4a3e73
Diffstat (limited to 'package/l2tpd/files/l2tpd.init')
-rw-r--r--package/l2tpd/files/l2tpd.init21
1 files changed, 21 insertions, 0 deletions
diff --git a/package/l2tpd/files/l2tpd.init b/package/l2tpd/files/l2tpd.init
new file mode 100644
index 000000000..f53175799
--- /dev/null
+++ b/package/l2tpd/files/l2tpd.init
@@ -0,0 +1,21 @@
+#!/bin/sh
+
+BIN=l2tpd
+DEFAULT=/etc/default/$BIN
+RUN_D=/var/run
+PID_F=$RUN_D/$BIN.pid
+[ -f $DEFAULT ] && . $DEFAULT
+
+case $1 in
+ start)
+ $BIN $OPTIONS
+ ;;
+ stop)
+ [ -f $PID_F ] && kill $(cat $PID_F)
+ ;;
+ *)
+ echo "usage: $0 (start|stop)"
+ exit 1
+esac
+
+exit $?